# -*- coding: UTF-8 -*-
import rsa
with open('prvkey.pem', mode='rb') as privatefile:
   keydata = privatefile.read()
prvkey = rsa.PrivateKey.load_pkcs1(keydata)

msg = """Z神：
   您好，刚才我和早苗驾驶AF001前往博丽神社接灵梦去你办公室的途中，突然飞行器控制系统发生故障，我前往设备舱检查故障，灵梦请求跟着一起去，打开设备舱的门之后灵梦看见了一个人影，她说是鬼人正邪，然后这个人影消失在墙壁上一个蓝色的椭圆形洞内，然后洞消失了，这个洞比较可能是由PortalGun产生的，也就是前些时间失窃的PortalGun原型机，看起来这玩意现在在正邪手上。
   这之后，我们发现故障可能是发生在飞控系统，我们暂时没有什么修复的办法，最终决定以Legacy Mode继续飞行，然后迫降在红魔馆附近的一片空地上，但因为一些操作失误，最终飞行器没能成功刹车，撞进了红魔馆围墙，造成局部建筑物损坏，但暂无人员伤亡。目前第二当事方红魔馆馆主蕾米莉亚暂时对红魔馆损失没有太大怨气，不过我仍然建议ZPC Group拨款提供维修资金。
   现在我、灵梦、魔理沙和早苗，与红魔馆的蕾米莉亚、十六夜咲夜一起在红魔馆暂时休息。目前来看我们四人均只有轻微皮肤擦伤，初步目测飞行器蒙皮受损，起落架弯折，机轮爆胎，前挡风玻璃有裂纹，但飞控系统显示动力系统受损，并且网络通信链路已断开，应该不具备继续飞行的条件，需要维修。关于事故具体原因，建议委托GTSB调查。
   目前，所有人员情绪稳定，该邮件通过红魔馆无线网络发送，收到后希望您能安排相关人员前来接应。
   以上。
   =====================================
   ZPC Group驻月都分部管理员
   稀神探女
   工号 ZSA-G01-GZZ104-001
   回复地址 kishin@sagume.com
   发送通过 红魔馆 bgp.konmakan.gsk"""

signature = rsa.sign(msg,prvkey,'SHA-256')
print signature.encode('hex')